package com.cmvr.tts.mapper;

import com.cmvr.tts.domain.CorpusCategory;

import java.util.List;

/**
 * 语料分类Mapper接口
 *
 * @author cmvr
 */
public interface CorpusCategoryMapper {

    /**
     * 查询语料分类列表
     *
     * @param category 语料分类
     * @return 语料分类集合
     */
    List<CorpusCategory> selectList(CorpusCategory category);

    /**
     * 新增语料分类
     *
     * @param category 语料分类
     * @return 结果
     */
    int insert(CorpusCategory category);

    /**
     * 修改语料分类
     *
     * @param category 语料分类
     * @return 结果
     */
    int updateById(CorpusCategory category);

    /**
     * 删除语料分类
     *
     * @param id 语料分类主键
     * @return 结果
     */
    int deleteById(String id);
}
